# Copyright 2019 the V8 project authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can
# be found in the LICENSE file.

# This file is automatically generated by mkgrokdump and should not
# be modified manually.

# List of known V8 instance types.
INSTANCE_TYPES = {
  0: "INTERNALIZED_STRING_TYPE",
  2: "EXTERNAL_INTERNALIZED_STRING_TYPE",
  8: "ONE_BYTE_INTERNALIZED_STRING_TYPE",
  10: "EXTERNAL_ONE_BYTE_INTERNALIZED_STRING_TYPE",
  18: "UNCACHED_EXTERNAL_INTERNALIZED_STRING_TYPE",
  26: "UNCACHED_EXTERNAL_ONE_BYTE_INTERNALIZED_STRING_TYPE",
  32: "STRING_TYPE",
  33: "CONS_STRING_TYPE",
  34: "EXTERNAL_STRING_TYPE",
  35: "SLICED_STRING_TYPE",
  37: "THIN_STRING_TYPE",
  40: "ONE_BYTE_STRING_TYPE",
  41: "CONS_ONE_BYTE_STRING_TYPE",
  42: "EXTERNAL_ONE_BYTE_STRING_TYPE",
  43: "SLICED_ONE_BYTE_STRING_TYPE",
  45: "THIN_ONE_BYTE_STRING_TYPE",
  50: "UNCACHED_EXTERNAL_STRING_TYPE",
  58: "UNCACHED_EXTERNAL_ONE_BYTE_STRING_TYPE",
  72: "EMPTY_STRING_TYPE",
  128: "SYMBOL_TYPE",
  129: "HEAP_NUMBER_TYPE",
  130: "BIGINT_TYPE",
  131: "ODDBALL_TYPE",
  132: "MAP_TYPE",
  133: "CODE_TYPE",
  134: "MUTABLE_HEAP_NUMBER_TYPE",
  135: "FOREIGN_TYPE",
  136: "BYTE_ARRAY_TYPE",
  137: "BYTECODE_ARRAY_TYPE",
  138: "FREE_SPACE_TYPE",
  139: "FIXED_INT8_ARRAY_TYPE",
  140: "FIXED_UINT8_ARRAY_TYPE",
  141: "FIXED_INT16_ARRAY_TYPE",
  142: "FIXED_UINT16_ARRAY_TYPE",
  143: "FIXED_INT32_ARRAY_TYPE",
  144: "FIXED_UINT32_ARRAY_TYPE",
  145: "FIXED_FLOAT32_ARRAY_TYPE",
  146: "FIXED_FLOAT64_ARRAY_TYPE",
  147: "FIXED_UINT8_CLAMPED_ARRAY_TYPE",
  148: "FIXED_BIGINT64_ARRAY_TYPE",
  149: "FIXED_BIGUINT64_ARRAY_TYPE",
  150: "FIXED_DOUBLE_ARRAY_TYPE",
  151: "FEEDBACK_METADATA_TYPE",
  152: "FILLER_TYPE",
  153: "ACCESS_CHECK_INFO_TYPE",
  154: "ACCESSOR_INFO_TYPE",
  155: "ACCESSOR_PAIR_TYPE",
  156: "ALIASED_ARGUMENTS_ENTRY_TYPE",
  157: "ALLOCATION_MEMENTO_TYPE",
  158: "ASM_WASM_DATA_TYPE",
  159: "ASYNC_GENERATOR_REQUEST_TYPE",
  160: "CLASS_POSITIONS_TYPE",
  161: "DEBUG_INFO_TYPE",
  162: "FUNCTION_TEMPLATE_INFO_TYPE",
  163: "FUNCTION_TEMPLATE_RARE_DATA_TYPE",
  164: "INTERCEPTOR_INFO_TYPE",
  165: "INTERPRETER_DATA_TYPE",
  166: "MODULE_INFO_ENTRY_TYPE",
  167: "MODULE_TYPE",
  168: "OBJECT_TEMPLATE_INFO_TYPE",
  169: "PROMISE_CAPABILITY_TYPE",
  170: "PROMISE_REACTION_TYPE",
  171: "PROTOTYPE_INFO_TYPE",
  172: "SCRIPT_TYPE",
  173: "STACK_FRAME_INFO_TYPE",
  174: "STACK_TRACE_FRAME_TYPE",
  175: "TUPLE2_TYPE",
  176: "TUPLE3_TYPE",
  177: "ARRAY_BOILERPLATE_DESCRIPTION_TYPE",
  178: "WASM_DEBUG_INFO_TYPE",
  179: "WASM_EXCEPTION_TAG_TYPE",
  180: "WASM_EXPORTED_FUNCTION_DATA_TYPE",
  181: "CALLABLE_TASK_TYPE",
  182: "CALLBACK_TASK_TYPE",
  183: "PROMISE_FULFILL_REACTION_JOB_TASK_TYPE",
  184: "PROMISE_REJECT_REACTION_JOB_TASK_TYPE",
  185: "PROMISE_RESOLVE_THENABLE_JOB_TASK_TYPE",
  186: "FINALIZATION_GROUP_CLEANUP_JOB_TASK_TYPE",
  187: "ALLOCATION_SITE_TYPE",
  188: "EMBEDDER_DATA_ARRAY_TYPE",
  189: "FIXED_ARRAY_TYPE",
  190: "OBJECT_BOILERPLATE_DESCRIPTION_TYPE",
  191: "CLOSURE_FEEDBACK_CELL_ARRAY_TYPE",
  192: "HASH_TABLE_TYPE",
  193: "ORDERED_HASH_MAP_TYPE",
  194: "ORDERED_HASH_SET_TYPE",
  195: "ORDERED_NAME_DICTIONARY_TYPE",
  196: "NAME_DICTIONARY_TYPE",
  197: "GLOBAL_DICTIONARY_TYPE",
  198: "NUMBER_DICTIONARY_TYPE",
  199: "SIMPLE_NUMBER_DICTIONARY_TYPE",
  200: "STRING_TABLE_TYPE",
  201: "EPHEMERON_HASH_TABLE_TYPE",
  202: "SCOPE_INFO_TYPE",
  203: "SCRIPT_CONTEXT_TABLE_TYPE",
  204: "AWAIT_CONTEXT_TYPE",
  205: "BLOCK_CONTEXT_TYPE",
  206: "CATCH_CONTEXT_TYPE",
  207: "DEBUG_EVALUATE_CONTEXT_TYPE",
  208: "EVAL_CONTEXT_TYPE",
  209: "FUNCTION_CONTEXT_TYPE",
  210: "MODULE_CONTEXT_TYPE",
  211: "NATIVE_CONTEXT_TYPE",
  212: "SCRIPT_CONTEXT_TYPE",
  213: "WITH_CONTEXT_TYPE",
  214: "WEAK_FIXED_ARRAY_TYPE",
  215: "TRANSITION_ARRAY_TYPE",
  216: "CALL_HANDLER_INFO_TYPE",
  217: "CELL_TYPE",
  218: "CODE_DATA_CONTAINER_TYPE",
  219: "DESCRIPTOR_ARRAY_TYPE",
  220: "FEEDBACK_CELL_TYPE",
  221: "FEEDBACK_VECTOR_TYPE",
  222: "LOAD_HANDLER_TYPE",
  223: "PREPARSE_DATA_TYPE",
  224: "PROPERTY_ARRAY_TYPE",
  225: "PROPERTY_CELL_TYPE",
  226: "SHARED_FUNCTION_INFO_TYPE",
  227: "SMALL_ORDERED_HASH_MAP_TYPE",
  228: "SMALL_ORDERED_HASH_SET_TYPE",
  229: "SMALL_ORDERED_NAME_DICTIONARY_TYPE",
  230: "STORE_HANDLER_TYPE",
  231: "UNCOMPILED_DATA_WITHOUT_PREPARSE_DATA_TYPE",
  232: "UNCOMPILED_DATA_WITH_PREPARSE_DATA_TYPE",
  233: "WEAK_ARRAY_LIST_TYPE",
  234: "WEAK_CELL_TYPE",
  1024: "JS_PROXY_TYPE",
  1025: "JS_GLOBAL_OBJECT_TYPE",
  1026: "JS_GLOBAL_PROXY_TYPE",
  1027: "JS_MODULE_NAMESPACE_TYPE",
  1040: "JS_SPECIAL_API_OBJECT_TYPE",
  1041: "JS_VALUE_TYPE",
  1056: "JS_API_OBJECT_TYPE",
  1057: "JS_OBJECT_TYPE",
  1058: "JS_ARGUMENTS_TYPE",
  1059: "JS_ARRAY_BUFFER_TYPE",
  1060: "JS_ARRAY_ITERATOR_TYPE",
  1061: "JS_ARRAY_TYPE",
  1062: "JS_ASYNC_FROM_SYNC_ITERATOR_TYPE",
  1063: "JS_ASYNC_FUNCTION_OBJECT_TYPE",
  1064: "JS_ASYNC_GENERATOR_OBJECT_TYPE",
  1065: "JS_CONTEXT_EXTENSION_OBJECT_TYPE",
  1066: "JS_DATE_TYPE",
  1067: "JS_ERROR_TYPE",
  1068: "JS_GENERATOR_OBJECT_TYPE",
  1069: "JS_MAP_TYPE",
  1070: "JS_MAP_KEY_ITERATOR_TYPE",
  1071: "JS_MAP_KEY_VALUE_ITERATOR_TYPE",
  1072: "JS_MAP_VALUE_ITERATOR_TYPE",
  1073: "JS_MESSAGE_OBJECT_TYPE",
  1074: "JS_PROMISE_TYPE",
  1075: "JS_REGEXP_TYPE",
  1076: "JS_REGEXP_STRING_ITERATOR_TYPE",
  1077: "JS_SET_TYPE",
  1078: "JS_SET_KEY_VALUE_ITERATOR_TYPE",
  1079: "JS_SET_VALUE_ITERATOR_TYPE",
  1080: "JS_STRING_ITERATOR_TYPE",
  1081: "JS_WEAK_REF_TYPE",
  1082: "JS_FINALIZATION_GROUP_CLEANUP_ITERATOR_TYPE",
  1083: "JS_FINALIZATION_GROUP_TYPE",
  1084: "JS_WEAK_MAP_TYPE",
  1085: "JS_WEAK_SET_TYPE",
  1086: "JS_TYPED_ARRAY_TYPE",
  1087: "JS_DATA_VIEW_TYPE",
  1088: "JS_INTL_V8_BREAK_ITERATOR_TYPE",
  1089: "JS_INTL_COLLATOR_TYPE",
  1090: "JS_INTL_DATE_TIME_FORMAT_TYPE",
  1091: "JS_INTL_LIST_FORMAT_TYPE",
  1092: "JS_INTL_LOCALE_TYPE",
  1093: "JS_INTL_NUMBER_FORMAT_TYPE",
  1094: "JS_INTL_PLURAL_RULES_TYPE",
  1095: "JS_INTL_RELATIVE_TIME_FORMAT_TYPE",
  1096: "JS_INTL_SEGMENT_ITERATOR_TYPE",
  1097: "JS_INTL_SEGMENTER_TYPE",
  1098: "WASM_EXCEPTION_TYPE",
  1099: "WASM_GLOBAL_TYPE",
  1100: "WASM_INSTANCE_TYPE",
  1101: "WASM_MEMORY_TYPE",
  1102: "WASM_MODULE_TYPE",
  1103: "WASM_TABLE_TYPE",
  1104: "JS_BOUND_FUNCTION_TYPE",
  1105: "JS_FUNCTION_TYPE",
}

# List of known V8 maps.
KNOWN_MAPS = {
  ("RO_SPACE", 0x00139): (138, "FreeSpaceMap"),
  ("RO_SPACE", 0x00161): (132, "MetaMap"),
  ("RO_SPACE", 0x001a5): (131, "NullMap"),
  ("RO_SPACE", 0x001dd): (219, "DescriptorArrayMap"),
  ("RO_SPACE", 0x0020d): (214, "WeakFixedArrayMap"),
  ("RO_SPACE", 0x00235): (152, "OnePointerFillerMap"),
  ("RO_SPACE", 0x0025d): (152, "TwoPointerFillerMap"),
  ("RO_SPACE", 0x002a1): (131, "UninitializedMap"),
  ("RO_SPACE", 0x002e5): (8, "OneByteInternalizedStringMap"),
  ("RO_SPACE", 0x00341): (131, "UndefinedMap"),
  ("RO_SPACE", 0x00375): (129, "HeapNumberMap"),
  ("RO_SPACE", 0x003b9): (131, "TheHoleMap"),
  ("RO_SPACE", 0x00419): (131, "BooleanMap"),
  ("RO_SPACE", 0x004a1): (72, "EmptyStringMap"),
  ("RO_SPACE", 0x004c9): (136, "ByteArrayMap"),
  ("RO_SPACE", 0x004f1): (189, "FixedArrayMap"),
  ("RO_SPACE", 0x00519): (189, "FixedCOWArrayMap"),
  ("RO_SPACE", 0x00541): (192, "HashTableMap"),
  ("RO_SPACE", 0x00569): (128, "SymbolMap"),
  ("RO_SPACE", 0x00591): (40, "OneByteStringMap"),
  ("RO_SPACE", 0x005b9): (202, "ScopeInfoMap"),
  ("RO_SPACE", 0x005e1): (226, "SharedFunctionInfoMap"),
  ("RO_SPACE", 0x00609): (133, "CodeMap"),
  ("RO_SPACE", 0x00631): (209, "FunctionContextMap"),
  ("RO_SPACE", 0x00659): (217, "CellMap"),
  ("RO_SPACE", 0x00681): (225, "GlobalPropertyCellMap"),
  ("RO_SPACE", 0x006a9): (135, "ForeignMap"),
  ("RO_SPACE", 0x006d1): (215, "TransitionArrayMap"),
  ("RO_SPACE", 0x006f9): (221, "FeedbackVectorMap"),
  ("RO_SPACE", 0x0074d): (131, "ArgumentsMarkerMap"),
  ("RO_SPACE", 0x007ad): (131, "ExceptionMap"),
  ("RO_SPACE", 0x00809): (131, "TerminationExceptionMap"),
  ("RO_SPACE", 0x00871): (131, "OptimizedOutMap"),
  ("RO_SPACE", 0x008d1): (131, "StaleRegisterMap"),
  ("RO_SPACE", 0x00915): (211, "NativeContextMap"),
  ("RO_SPACE", 0x0093d): (210, "ModuleContextMap"),
  ("RO_SPACE", 0x00965): (208, "EvalContextMap"),
  ("RO_SPACE", 0x0098d): (212, "ScriptContextMap"),
  ("RO_SPACE", 0x009b5): (204, "AwaitContextMap"),
  ("RO_SPACE", 0x009dd): (205, "BlockContextMap"),
  ("RO_SPACE", 0x00a05): (206, "CatchContextMap"),
  ("RO_SPACE", 0x00a2d): (213, "WithContextMap"),
  ("RO_SPACE", 0x00a55): (207, "DebugEvaluateContextMap"),
  ("RO_SPACE", 0x00a7d): (203, "ScriptContextTableMap"),
  ("RO_SPACE", 0x00aa5): (191, "ClosureFeedbackCellArrayMap"),
  ("RO_SPACE", 0x00acd): (151, "FeedbackMetadataArrayMap"),
  ("RO_SPACE", 0x00af5): (189, "ArrayListMap"),
  ("RO_SPACE", 0x00b1d): (130, "BigIntMap"),
  ("RO_SPACE", 0x00b45): (190, "ObjectBoilerplateDescriptionMap"),
  ("RO_SPACE", 0x00b6d): (137, "BytecodeArrayMap"),
  ("RO_SPACE", 0x00b95): (218, "CodeDataContainerMap"),
  ("RO_SPACE", 0x00bbd): (150, "FixedDoubleArrayMap"),
  ("RO_SPACE", 0x00be5): (197, "GlobalDictionaryMap"),
  ("RO_SPACE", 0x00c0d): (220, "ManyClosuresCellMap"),
  ("RO_SPACE", 0x00c35): (189, "ModuleInfoMap"),
  ("RO_SPACE", 0x00c5d): (134, "MutableHeapNumberMap"),
  ("RO_SPACE", 0x00c85): (196, "NameDictionaryMap"),
  ("RO_SPACE", 0x00cad): (220, "NoClosuresCellMap"),
  ("RO_SPACE", 0x00cd5): (198, "NumberDictionaryMap"),
  ("RO_SPACE", 0x00cfd): (220, "OneClosureCellMap"),
  ("RO_SPACE", 0x00d25): (193, "OrderedHashMapMap"),
  ("RO_SPACE", 0x00d4d): (194, "OrderedHashSetMap"),
  ("RO_SPACE", 0x00d75): (195, "OrderedNameDictionaryMap"),
  ("RO_SPACE", 0x00d9d): (223, "PreparseDataMap"),
  ("RO_SPACE", 0x00dc5): (224, "PropertyArrayMap"),
  ("RO_SPACE", 0x00ded): (216, "SideEffectCallHandlerInfoMap"),
  ("RO_SPACE", 0x00e15): (216, "SideEffectFreeCallHandlerInfoMap"),
  ("RO_SPACE", 0x00e3d): (216, "NextCallSideEffectFreeCallHandlerInfoMap"),
  ("RO_SPACE", 0x00e65): (199, "SimpleNumberDictionaryMap"),
  ("RO_SPACE", 0x00e8d): (189, "SloppyArgumentsElementsMap"),
  ("RO_SPACE", 0x00eb5): (227, "SmallOrderedHashMapMap"),
  ("RO_SPACE", 0x00edd): (228, "SmallOrderedHashSetMap"),
  ("RO_SPACE", 0x00f05): (229, "SmallOrderedNameDictionaryMap"),
  ("RO_SPACE", 0x00f2d): (200, "StringTableMap"),
  ("RO_SPACE", 0x00f55): (231, "UncompiledDataWithoutPreparseDataMap"),
  ("RO_SPACE", 0x00f7d): (232, "UncompiledDataWithPreparseDataMap"),
  ("RO_SPACE", 0x00fa5): (233, "WeakArrayListMap"),
  ("RO_SPACE", 0x00fcd): (201, "EphemeronHashTableMap"),
  ("RO_SPACE", 0x00ff5): (188, "EmbedderDataArrayMap"),
  ("RO_SPACE", 0x0101d): (234, "WeakCellMap"),
  ("RO_SPACE", 0x01045): (58, "NativeSourceStringMap"),
  ("RO_SPACE", 0x0106d): (32, "StringMap"),
  ("RO_SPACE", 0x01095): (41, "ConsOneByteStringMap"),
  ("RO_SPACE", 0x010bd): (33, "ConsStringMap"),
  ("RO_SPACE", 0x010e5): (45, "ThinOneByteStringMap"),
  ("RO_SPACE", 0x0110d): (37, "ThinStringMap"),
  ("RO_SPACE", 0x01135): (35, "SlicedStringMap"),
  ("RO_SPACE", 0x0115d): (43, "SlicedOneByteStringMap"),
  ("RO_SPACE", 0x01185): (34, "ExternalStringMap"),
  ("RO_SPACE", 0x011ad): (42, "ExternalOneByteStringMap"),
  ("RO_SPACE", 0x011d5): (50, "UncachedExternalStringMap"),
  ("RO_SPACE", 0x011fd): (0, "InternalizedStringMap"),
  ("RO_SPACE", 0x01225): (2, "ExternalInternalizedStringMap"),
  ("RO_SPACE", 0x0124d): (10, "ExternalOneByteInternalizedStringMap"),
  ("RO_SPACE", 0x01275): (18, "UncachedExternalInternalizedStringMap"),
  ("RO_SPACE", 0x0129d): (26, "UncachedExternalOneByteInternalizedStringMap"),
  ("RO_SPACE", 0x012c5): (58, "UncachedExternalOneByteStringMap"),
  ("RO_SPACE", 0x012ed): (140, "FixedUint8ArrayMap"),
  ("RO_SPACE", 0x01315): (139, "FixedInt8ArrayMap"),
  ("RO_SPACE", 0x0133d): (142, "FixedUint16ArrayMap"),
  ("RO_SPACE", 0x01365): (141, "FixedInt16ArrayMap"),
  ("RO_SPACE", 0x0138d): (144, "FixedUint32ArrayMap"),
  ("RO_SPACE", 0x013b5): (143, "FixedInt32ArrayMap"),
  ("RO_SPACE", 0x013dd): (145, "FixedFloat32ArrayMap"),
  ("RO_SPACE", 0x01405): (146, "FixedFloat64ArrayMap"),
  ("RO_SPACE", 0x0142d): (147, "FixedUint8ClampedArrayMap"),
  ("RO_SPACE", 0x01455): (149, "FixedBigUint64ArrayMap"),
  ("RO_SPACE", 0x0147d): (148, "FixedBigInt64ArrayMap"),
  ("RO_SPACE", 0x014a5): (131, "SelfReferenceMarkerMap"),
  ("RO_SPACE", 0x014d9): (175, "Tuple2Map"),
  ("RO_SPACE", 0x01529): (177, "ArrayBoilerplateDescriptionMap"),
  ("RO_SPACE", 0x016f9): (164, "InterceptorInfoMap"),
  ("RO_SPACE", 0x0341d): (153, "AccessCheckInfoMap"),
  ("RO_SPACE", 0x03445): (154, "AccessorInfoMap"),
  ("RO_SPACE", 0x0346d): (155, "AccessorPairMap"),
  ("RO_SPACE", 0x03495): (156, "AliasedArgumentsEntryMap"),
  ("RO_SPACE", 0x034bd): (157, "AllocationMementoMap"),
  ("RO_SPACE", 0x034e5): (158, "AsmWasmDataMap"),
  ("RO_SPACE", 0x0350d): (159, "AsyncGeneratorRequestMap"),
  ("RO_SPACE", 0x03535): (160, "ClassPositionsMap"),
  ("RO_SPACE", 0x0355d): (161, "DebugInfoMap"),
  ("RO_SPACE", 0x03585): (162, "FunctionTemplateInfoMap"),
  ("RO_SPACE", 0x035ad): (163, "FunctionTemplateRareDataMap"),
  ("RO_SPACE", 0x035d5): (165, "InterpreterDataMap"),
  ("RO_SPACE", 0x035fd): (166, "ModuleInfoEntryMap"),
  ("RO_SPACE", 0x03625): (167, "ModuleMap"),
  ("RO_SPACE", 0x0364d): (168, "ObjectTemplateInfoMap"),
  ("RO_SPACE", 0x03675): (169, "PromiseCapabilityMap"),
  ("RO_SPACE", 0x0369d): (170, "PromiseReactionMap"),
  ("RO_SPACE", 0x036c5): (171, "PrototypeInfoMap"),
  ("RO_SPACE", 0x036ed): (172, "ScriptMap"),
  ("RO_SPACE", 0x03715): (173, "StackFrameInfoMap"),
  ("RO_SPACE", 0x0373d): (174, "StackTraceFrameMap"),
  ("RO_SPACE", 0x03765): (176, "Tuple3Map"),
  ("RO_SPACE", 0x0378d): (178, "WasmDebugInfoMap"),
  ("RO_SPACE", 0x037b5): (179, "WasmExceptionTagMap"),
  ("RO_SPACE", 0x037dd): (180, "WasmExportedFunctionDataMap"),
  ("RO_SPACE", 0x03805): (181, "CallableTaskMap"),
  ("RO_SPACE", 0x0382d): (182, "CallbackTaskMap"),
  ("RO_SPACE", 0x03855): (183, "PromiseFulfillReactionJobTaskMap"),
  ("RO_SPACE", 0x0387d): (184, "PromiseRejectReactionJobTaskMap"),
  ("RO_SPACE", 0x038a5): (185, "PromiseResolveThenableJobTaskMap"),
  ("RO_SPACE", 0x038cd): (186, "FinalizationGroupCleanupJobTaskMap"),
  ("RO_SPACE", 0x038f5): (187, "AllocationSiteWithWeakNextMap"),
  ("RO_SPACE", 0x0391d): (187, "AllocationSiteWithoutWeakNextMap"),
  ("RO_SPACE", 0x03945): (222, "LoadHandler1Map"),
  ("RO_SPACE", 0x0396d): (222, "LoadHandler2Map"),
  ("RO_SPACE", 0x03995): (222, "LoadHandler3Map"),
  ("RO_SPACE", 0x039bd): (230, "StoreHandler0Map"),
  ("RO_SPACE", 0x039e5): (230, "StoreHandler1Map"),
  ("RO_SPACE", 0x03a0d): (230, "StoreHandler2Map"),
  ("RO_SPACE", 0x03a35): (230, "StoreHandler3Map"),
  ("MAP_SPACE", 0x00139): (1057, "ExternalMap"),
  ("MAP_SPACE", 0x00161): (1073, "JSMessageObjectMap"),
}

# List of known V8 objects.
KNOWN_OBJECTS = {
  ("RO_SPACE", 0x00189): "NullValue",
  ("RO_SPACE", 0x001cd): "EmptyDescriptorArray",
  ("RO_SPACE", 0x00205): "EmptyWeakFixedArray",
  ("RO_SPACE", 0x00285): "UninitializedValue",
  ("RO_SPACE", 0x00325): "UndefinedValue",
  ("RO_SPACE", 0x00369): "NanValue",
  ("RO_SPACE", 0x0039d): "TheHoleValue",
  ("RO_SPACE", 0x003f1): "HoleNanValue",
  ("RO_SPACE", 0x003fd): "TrueValue",
  ("RO_SPACE", 0x00465): "FalseValue",
  ("RO_SPACE", 0x00495): "empty_string",
  ("RO_SPACE", 0x00721): "EmptyScopeInfo",
  ("RO_SPACE", 0x00729): "EmptyFixedArray",
  ("RO_SPACE", 0x00731): "ArgumentsMarker",
  ("RO_SPACE", 0x00791): "Exception",
  ("RO_SPACE", 0x007ed): "TerminationException",
  ("RO_SPACE", 0x00855): "OptimizedOut",
  ("RO_SPACE", 0x008b5): "StaleRegister",
  ("RO_SPACE", 0x014cd): "EmptyEnumCache",
  ("RO_SPACE", 0x01501): "EmptyPropertyArray",
  ("RO_SPACE", 0x01509): "EmptyByteArray",
  ("RO_SPACE", 0x01511): "EmptyObjectBoilerplateDescription",
  ("RO_SPACE", 0x0151d): "EmptyArrayBoilerplateDescription",
  ("RO_SPACE", 0x01551): "EmptyFixedUint8Array",
  ("RO_SPACE", 0x01565): "EmptyFixedInt8Array",
  ("RO_SPACE", 0x01579): "EmptyFixedUint16Array",
  ("RO_SPACE", 0x0158d): "EmptyFixedInt16Array",
  ("RO_SPACE", 0x015a1): "EmptyFixedUint32Array",
  ("RO_SPACE", 0x015b5): "EmptyFixedInt32Array",
  ("RO_SPACE", 0x015c9): "EmptyFixedFloat32Array",
  ("RO_SPACE", 0x015dd): "EmptyFixedFloat64Array",
  ("RO_SPACE", 0x015f1): "EmptyFixedUint8ClampedArray",
  ("RO_SPACE", 0x01605): "EmptyFixedBigUint64Array",
  ("RO_SPACE", 0x01619): "EmptyFixedBigInt64Array",
  ("RO_SPACE", 0x0162d): "EmptySloppyArgumentsElements",
  ("RO_SPACE", 0x0163d): "EmptySlowElementDictionary",
  ("RO_SPACE", 0x01661): "EmptyOrderedHashMap",
  ("RO_SPACE", 0x01675): "EmptyOrderedHashSet",
  ("RO_SPACE", 0x01689): "EmptyFeedbackMetadata",
  ("RO_SPACE", 0x01695): "EmptyPropertyCell",
  ("RO_SPACE", 0x016a9): "EmptyPropertyDictionary",
  ("RO_SPACE", 0x016d1): "NoOpInterceptorInfo",
  ("RO_SPACE", 0x01721): "EmptyWeakArrayList",
  ("RO_SPACE", 0x0172d): "InfinityValue",
  ("RO_SPACE", 0x01739): "MinusZeroValue",
  ("RO_SPACE", 0x01745): "MinusInfinityValue",
  ("RO_SPACE", 0x01751): "SelfReferenceMarker",
  ("RO_SPACE", 0x01791): "OffHeapTrampolineRelocationInfo",
  ("RO_SPACE", 0x0179d): "HashSeed",
  ("OLD_SPACE", 0x00139): "ArgumentsIteratorAccessor",
  ("OLD_SPACE", 0x0017d): "ArrayLengthAccessor",
  ("OLD_SPACE", 0x001c1): "BoundFunctionLengthAccessor",
  ("OLD_SPACE", 0x00205): "BoundFunctionNameAccessor",
  ("OLD_SPACE", 0x00249): "ErrorStackAccessor",
  ("OLD_SPACE", 0x0028d): "FunctionArgumentsAccessor",
  ("OLD_SPACE", 0x002d1): "FunctionCallerAccessor",
  ("OLD_SPACE", 0x00315): "FunctionNameAccessor",
  ("OLD_SPACE", 0x00359): "FunctionLengthAccessor",
  ("OLD_SPACE", 0x0039d): "FunctionPrototypeAccessor",
  ("OLD_SPACE", 0x003e1): "StringLengthAccessor",
  ("OLD_SPACE", 0x00425): "InvalidPrototypeValidityCell",
  ("OLD_SPACE", 0x0042d): "EmptyScript",
  ("OLD_SPACE", 0x0046d): "ManyClosuresCell",
  ("OLD_SPACE", 0x00475): "ArrayConstructorProtector",
  ("OLD_SPACE", 0x0047d): "NoElementsProtector",
  ("OLD_SPACE", 0x00491): "IsConcatSpreadableProtector",
  ("OLD_SPACE", 0x00499): "ArraySpeciesProtector",
  ("OLD_SPACE", 0x004ad): "TypedArraySpeciesProtector",
  ("OLD_SPACE", 0x004c1): "RegExpSpeciesProtector",
  ("OLD_SPACE", 0x004d5): "PromiseSpeciesProtector",
  ("OLD_SPACE", 0x004e9): "StringLengthProtector",
  ("OLD_SPACE", 0x004f1): "ArrayIteratorProtector",
  ("OLD_SPACE", 0x00505): "ArrayBufferDetachingProtector",
  ("OLD_SPACE", 0x00519): "PromiseHookProtector",
  ("OLD_SPACE", 0x0052d): "PromiseResolveProtector",
  ("OLD_SPACE", 0x00535): "MapIteratorProtector",
  ("OLD_SPACE", 0x00549): "PromiseThenProtector",
  ("OLD_SPACE", 0x0055d): "SetIteratorProtector",
  ("OLD_SPACE", 0x00571): "StringIteratorProtector",
  ("OLD_SPACE", 0x00585): "SingleCharacterStringCache",
  ("OLD_SPACE", 0x0098d): "StringSplitCache",
  ("OLD_SPACE", 0x00d95): "RegExpMultipleCache",
  ("OLD_SPACE", 0x0119d): "BuiltinsConstantsTable",
}

# List of known V8 Frame Markers.
FRAME_MARKERS = (
  "ENTRY",
  "CONSTRUCT_ENTRY",
  "EXIT",
  "OPTIMIZED",
  "WASM_COMPILED",
  "WASM_TO_JS",
  "JS_TO_WASM",
  "WASM_INTERPRETER_ENTRY",
  "C_WASM_ENTRY",
  "WASM_COMPILE_LAZY",
  "INTERPRETED",
  "STUB",
  "BUILTIN_CONTINUATION",
  "JAVA_SCRIPT_BUILTIN_CONTINUATION",
  "JAVA_SCRIPT_BUILTIN_CONTINUATION_WITH_CATCH",
  "INTERNAL",
  "CONSTRUCT",
  "ARGUMENTS_ADAPTOR",
  "BUILTIN",
  "BUILTIN_EXIT",
  "NATIVE",
)

# This set of constants is generated from a shipping build.
